Subject: Re: mutt 1.4 cygwin problems
From: Jason Tishler <[email-masked]>
To: "Guy L. Oliver" <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 15 Jul 2002 11:03:15 -0400

Guy,

I'm posting this to the list because I think this is will be useful for
the current mutt maintainer...

On Mon, Jul 15, 2002 at 10:31:18AM -0400, Guy L. Oliver wrote:
> Thanks again for the few pointers you sent me the other day about mutt
> 1.4 and procmail/fetchmail.

No problem -- just trying to help.  I have found in the past that
ignored problems only come back to bite me anyway.

> after reading what you posted, I grabbed the 1.4i release straight
> from mutt.org, and did a simple configure, make, install cycle, and
> everything works just fine under cygwin with out what ever was done to
> the cygwin version.

The above is exactly what I have been doing since 1.3.x.  I believe that
the straight build should be fine except for text vs. binary mode issues
and the display of international characters.

> Of course, I havent tested everything, but the pieces I am using work
> fine.

I have tested IMAP, POP, and mbox functionality without any problems.

> It was configured as below, with out dotlock, standalone, or setgid.

Although probably not necessary, I recommend dotlock (and standalone)
since you are using procmail.  It's just paranoia, but since we are
guarding mboxes...

> So, in any event, 1.4 seems to work pretty well under cygwin, there is
> just some work that needs done to make the released package work.  And
> after the last message I saw from the current maintainer, it looks like
> you may become the future maintainer.  I dont know if it is usefull, but
> I thought I'd pass along what I found.

It's a second data point that I hope that Gary will find useful. :,)

> --thanks again
>   guy
> 
> System: CYGWIN_NT-5.1 1.3.12(0.54/3/2) (i686) [using ncurses 5.2]
> Compile options:
> -DOMAIN
> -DEBUG
> -HOMESPOOL  -USE_SETGID  -USE_DOTLOCK  -DL_STANDALONE
> +USE_FCNTL  -USE_FLOCK
> -USE_POP  -USE_IMAP  -USE_GSS  -USE_SSL  -USE_SASL
> +HAVE_REGCOMP  -USE_GNU_REGEX
> +HAVE_COLOR  +HAVE_START_COLOR  +HAVE_TYPEAHEAD  +HAVE_BKGDSET
> +HAVE_CURS_SET  +HAVE_META  +HAVE_RESIZETERM
> +HAVE_PGP  -BUFFY_SIZE -EXACT_ADDRESS  -SUN_ATTACHMENT
> +ENABLE_NLS  -LOCALES_HACK  -HAVE_WC_FUNCS  -HAVE_LANGINFO_CODESET
> -HAVE_LANGINFO_YESEXPR
> +HAVE_ICONV  -ICONV_NONTRANS  -HAVE_GETSID  -HAVE_GETADDRINFO
> ISPELL="/usr/local/bin/ispell"
> SENDMAIL="/usr/sbin/sendmail"
> MAILPATH="/var/spool/mail"
> PKGDATADIR="/usr/local/share/mutt"
> SYSCONFDIR="/usr/local/etc"
> EXECSHELL="/bin/sh"
> -MIXMASTER

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/